msg_right_permutation_apply.h File Reference

Go to the source code of this file.

## Classes

struct | msg_right_permutation_set_default< OutputIterator, InputRandomIterator, Size >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class InputIterator , class InputRandomIterator , class OutputIterator , class SetOp >
OutputIterator | msg_right_permutation_apply (InputIterator perm, InputIterator last_perm, const InputRandomIterator &x, OutputIterator y, SetOp set_op)
template<class InputIterator , class InputRandomIterator , class OutputIterator >
OutputIterator | msg_right_permutation_apply (InputIterator perm, InputIterator last_perm, const InputRandomIterator &x, OutputIterator y)